import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlCheckbox, SlSwitch } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlCheckable implements ControlValueAccessor {
    private hostRef;
    constructor(hostRef: ElementRef<SlCheckbox | SlSwitch>);
    writeValue(checked: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(callback: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlCheckable, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlCheckable, "        sl-checkbox[formControlName],        sl-checkbox[formControl],        sl-switch[formControlName],        sl-switch[formControl],    ", never, {}, {}, never, never, false>;
}
