import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlColorPicker } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlColorPicker implements ControlValueAccessor {
    private hostRef;
    private inited;
    private initialValue;
    constructor(hostRef: ElementRef<SlColorPicker>);
    writeValue(value: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(_: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlColorPicker, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlColorPicker, "        sl-color-picker[formControlName],        sl-color-picker[formControl],    ", never, {}, {}, never, never, false>;
}
