import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlSelect } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlSelect implements ControlValueAccessor {
    private hostRef;
    constructor(hostRef: ElementRef<SlSelect>);
    writeValue(value: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(callback: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlSelect, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlSelect, "        sl-select[formControlName],        sl-select[formControl],    ", never, {}, {}, never, never, false>;
}
