import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlInput, SlTextarea } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlInput implements ControlValueAccessor {
    private hostRef;
    constructor(hostRef: ElementRef<SlInput | SlTextarea>);
    writeValue(value: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(callback: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlInput, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlInput, "        sl-input:not([type=number])[formControlName],        sl-input:not([type=number])[formControl],        sl-textarea[formControlName],        sl-textarea[formControl],    ", never, {}, {}, never, never, false>;
}
