import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlInput } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlNumber implements ControlValueAccessor {
    private hostRef;
    constructor(hostRef: ElementRef<SlInput>);
    writeValue(value: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(callback: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlNumber, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlNumber, "        sl-input[type=number][formControlName],        sl-input[type=number][formControl],        sl-range[formControlName],        sl-range[formControl],        sl-rating[formControlName],        sl-rating[formControl],    ", never, {}, {}, never, never, false>;
}
