import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { SlRadio, SlRadioButton } from "@shoelace-style/shoelace";
import * as i0 from "@angular/core";
export declare class FormControlRadio implements ControlValueAccessor {
    private hostRef;
    constructor(hostRef: ElementRef<SlRadio | SlRadioButton>);
    writeValue(value: any): void;
    registerOnChange(callback: any): void;
    registerOnTouched(callback: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlRadio, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormControlRadio, "        sl-radio[formControlName],        sl-radio[formControl],        sl-radio-button[formControlName],        sl-radio-button[formControl],    ", never, {}, {}, never, never, false>;
}
