import { OnInit, EventEmitter, ElementRef, OnChanges, SimpleChanges } from "@angular/core";
import { SubscribableDirective } from "ngx-subscribable";
import * as i0 from "@angular/core";
interface Openable {
    open: boolean;
}
export declare class OpenDirective extends SubscribableDirective implements OnInit, OnChanges {
    private hostRef;
    open: boolean;
    openChange: EventEmitter<boolean>;
    constructor(hostRef: ElementRef<HTMLElement & Openable>);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private changeOpen;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OpenDirective, "        sl-alert[open],        sl-color-picker[open],        sl-details[open],        sl-dialog[open],        sl-drawer[open],        sl-dropdown[open],        sl-tooltip[open],    ", never, { "open": "open"; }, { "openChange": "openChange"; }, never, never, false>;
}
export {};
