import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { SubscribableDirective } from "ngx-subscribable";
import * as i0 from "@angular/core";
export declare class OpenableDirective extends SubscribableDirective implements OnInit {
    private readonly hostRef;
    show: EventEmitter<CustomEvent<{}>>;
    hide: EventEmitter<CustomEvent<{}>>;
    afterShow: EventEmitter<CustomEvent<{}>>;
    afterHide: EventEmitter<CustomEvent<{}>>;
    constructor(hostRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OpenableDirective, "        sl-alert,        sl-details,        sl-dialog,        sl-drawer,        sl-dropdown,        sl-tooltip,    ", never, {}, { "show": "show"; "hide": "hide"; "afterShow": "afterShow"; "afterHide": "afterHide"; }, never, never, false>;
}
export declare class OpenableExtendedDirective extends SubscribableDirective implements OnInit {
    private readonly hostRef;
    initialFocus: EventEmitter<CustomEvent<{}>>;
    requestClose: EventEmitter<CustomEvent<{}>>;
    constructor(hostRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenableExtendedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<OpenableExtendedDirective, "        sl-dialog,        sl-drawer,    ", never, {}, { "initialFocus": "initialFocus"; "requestClose": "requestClose"; }, never, never, false>;
}
